Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xmerge
Interface OfficeConstants

All Known Implementing Classes:
  OfficeDocument

    public interface OfficeConstants

This interface contains constants for StarOffice XML tags, attributes (StarCalc cell types, etc.).

Author:
  Herbie Ong, Paul Rank, Martin Maher

Field Summary
`static java.lang.String` | `ATTRIBUTE_CONFIG_NAME` Attribute tag for config:name of element config:config-item.
`static java.lang.String` | `ATTRIBUTE_CONFIG_TYPE` Attribute tag for config:type of element config:config-item.
`static java.lang.String` | `ATTRIBUTE_DEFAULT_CELL_STYLE` Attribute tag for table:default-cell-style-name of element table:table-column.
`static java.lang.String` | `ATTRIBUTE_FO_FONT_FAMILY` Attribute tag for fo:font-family of element fo:font-family.
`static java.lang.String` | `ATTRIBUTE_FO_FONT_FAMILY_GENERIC` Attribute tag for fo:font-family of element fo:font-family.
`static java.lang.String` | `ATTRIBUTE_MANIFEST_FILE_PATH` Attribute tag for manifest:full-path of element manifest:file-entry.
`static java.lang.String` | `ATTRIBUTE_MANIFEST_FILE_TYPE` Attribute tag for manifest:media-type of element manifest:file-entry.
`static java.lang.String` | `ATTRIBUTE_OFFICE_CLASS` Attribute tag for office:class of element office:document.
`static java.lang.String` | `ATTRIBUTE_SPACE_COUNT` Attribute tag for text:c of element text:s.
`static java.lang.String` | `ATTRIBUTE_STYLE_FONT_PITCH` Attribute tag for style:font-pitch of element style:font-pitch.
`static java.lang.String` | `ATTRIBUTE_STYLE_NAME` Attribute tag for style:name of element style:name.
`static java.lang.String` | `ATTRIBUTE_TABLE_BASE_CELL_ADDRESS` Attribute tag for table:base-cell-address of element table:named-range.
`static java.lang.String` | `ATTRIBUTE_TABLE_BOOLEAN_VALUE` Attribute tag for table:time-boolean-value of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_CELL_RANGE_ADDRESS` Attribute tag for table:cell-range-address of element table:named-range.
`static java.lang.String` | `ATTRIBUTE_TABLE_CURRENCY` Attribute tag for table:currency of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_DATE_VALUE` Attribute tag for table:date-value of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_EXPRESSION` Attribute tag for table:expression of element table:named-range.
`static java.lang.String` | `ATTRIBUTE_TABLE_FORMULA` Attribute tag for table:formula of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_NAME` Attribute tag for table:name of element table:table.
`static java.lang.String` | `ATTRIBUTE_TABLE_NUM_COLUMNS_REPEATED` Attribute tag for table:number-columns-repeated of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_NUM_ROWS_REPEATED` Attribute tag for table:number-rows-repeated of element table:table-row.
`static java.lang.String` | `ATTRIBUTE_TABLE_STRING_VALUE` Attribute tag for table:string-value of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_STYLE_NAME` Attribute tag for table:style-name of table elements.
`static java.lang.String` | `ATTRIBUTE_TABLE_TIME_VALUE` Attribute tag for table:time-value of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_VALUE` Attribute tag for table:value of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TABLE_VALUE_TYPE` Attribute tag for table:value-type of element table:table-cell.
`static java.lang.String` | `ATTRIBUTE_TEXT_STYLE_NAME` Attribute tag for text:style-name of element text:style-name.
`static java.lang.String` | `CELLTYPE_BOOLEAN` The cell contains data of type boolean.
`static java.lang.String` | `CELLTYPE_CURRENCY` The cell contains data of type currency.
`static java.lang.String` | `CELLTYPE_DATE` The cell contains data of type date.
`static java.lang.String` | `CELLTYPE_FLOAT` The cell contains data of type float.
`static java.lang.String` | `CELLTYPE_PERCENT` The cell contains data of type percent.
`static java.lang.String` | `CELLTYPE_STRING` The cell contains data of type string.
`static java.lang.String` | `CELLTYPE_TIME` The cell contains data of type time.
`static java.lang.String` | `STC_MIME_TYPE` StarCalc XML Template MIME type.
`static java.lang.String` | `STI_MIME_TYPE` StarImpress XML Template MIME type.
`static java.lang.String` | `STW_MIME_TYPE` StarWriter XML Template MIME type.
`static java.lang.String` | `SXC_FILE_EXTENSION` StarCalc XML file extension.
`static java.lang.String` | `SXC_MIME_TYPE` StarCalc XML MIME type.
`static java.lang.String` | `SXC_TYPE` StarCalc XML office:class value.
`static java.lang.String` | `SXD_MIME_TYPE` StarDraw XML MIME type.
`static java.lang.String` | `SXG_MIME_TYPE` StarWriter Global XML MIME Type
`static java.lang.String` | `SXI_MIME_TYPE` StarImpress XML MIME type.
`static java.lang.String` | `SXM_MIME_TYPE` StarMath XML MIME type.
`static java.lang.String` | `SXW_FILE_EXTENSION` StarWriter XML file extension.
`static java.lang.String` | `SXW_MIME_TYPE` StarWriter XML MIME type.
`static java.lang.String` | `SXW_TYPE` StarWriter XML office:class value.
`static java.lang.String` | `TAG_BOOKMARK` Element tag for text:bookmark.
`static java.lang.String` | `TAG_BOOKMARK_START` Element tag for text:bookmark-start.
`static java.lang.String` | `TAG_CONFIG_ITEM` Element tag for config:config-item.
`static java.lang.String` | `TAG_CONFIG_ITEM_MAP_ENTRY` Element tag for config:config-item-map-entry.
`static java.lang.String` | `TAG_CONFIG_ITEM_MAP_INDEXED` Element tag for config:config-item-map-indexed.
`static java.lang.String` | `TAG_CONFIG_ITEM_MAP_NAMED` Element tag for config:config-item-map-named.
`static java.lang.String` | `TAG_CONFIG_ITEM_SET` Element tag for config:config-item-set.
`static java.lang.String` | `TAG_HEADING` Element tag for text:h.
`static java.lang.String` | `TAG_HYPERLINK` Element tag for text:a.
`static java.lang.String` | `TAG_LINE_BREAK` Element tag for text:line-break.
`static java.lang.String` | `TAG_LIST_HEADER` Element tag for text:list-header.
`static java.lang.String` | `TAG_LIST_ITEM` Element tag for text:list-item.
`static java.lang.String` | `TAG_MANIFEST_FILE` Element tag for manifest:file-entry entry in Manifest XML.
`static java.lang.String` | `TAG_MANIFEST_ROOT` Element tag for manifest:manifestentry in Manifest XML
`static java.lang.String` | `TAG_NAMED_EXPRESSIONS` Element tag for table:named-expression.
`static java.lang.String` | `TAG_OFFICE_AUTOMATIC_STYLES` Element tag for office:automatic-styles.
`static java.lang.String` | `TAG_OFFICE_BODY` Element tag for office:body.
`static java.lang.String` | `TAG_OFFICE_DOCUMENT` Element tag for office:document, this is the root tag.
`static java.lang.String` | `TAG_OFFICE_DOCUMENT_CONTENT` Element tag for office:document-content, this is the root tag in content.xml.
`static java.lang.String` | `TAG_OFFICE_DOCUMENT_META` Element tag for office:document-meta, this is the root tag in content.xml.
`static java.lang.String` | `TAG_OFFICE_DOCUMENT_SETTINGS` Element tag for office:document-settings, this is the root tag in content.xml.
`static java.lang.String` | `TAG_OFFICE_DOCUMENT_STYLES` Element tag for office:document-styles, this is the root tag in styles.xml.
`static java.lang.String` | `TAG_OFFICE_FONT_DECLS` Element tag for office:font-decls.
`static java.lang.String` | `TAG_OFFICE_FONT_FACE_DECLS` Element tag for office:font-face-decls.
`static java.lang.String` | `TAG_OFFICE_MASTER_STYLES` Element tag for office:master-styles.
`static java.lang.String` | `TAG_OFFICE_META` Element tag for office:meta.
`static java.lang.String` | `TAG_OFFICE_SETTINGS` Element tag for office:settings.
`static java.lang.String` | `TAG_OFFICE_STYLES` Element tag for office:styles.
`static java.lang.String` | `TAG_ORDERED_LIST` Element tag for text:ordered-list.
`static java.lang.String` | `TAG_PARAGRAPH` Element tag for text:p.
`static java.lang.String` | `TAG_SPACE` Element tag for text:s.
`static java.lang.String` | `TAG_SPAN` Element tag for text:span.
`static java.lang.String` | `TAG_STYLE_FONT_DECL` Element tag for style:font-decl.
`static java.lang.String` | `TAG_TAB_STOP` Element tag for text:tab-stop.
`static java.lang.String` | `TAG_TABLE` Element tag for table:table.
`static java.lang.String` | `TAG_TABLE_CELL` Element tag for table:table-cell.
`static java.lang.String` | `TAG_TABLE_COLUMN` Element tag for table:table-column.
`static java.lang.String` | `TAG_TABLE_NAMED_EXPRESSION` Element tag for table:named-expression.
`static java.lang.String` | `TAG_TABLE_NAMED_RANGE` Element tag for table:named-range.
`static java.lang.String` | `TAG_TABLE_ROW` Element tag for table:table-row.
`static java.lang.String` | `TAG_TABLE_SCENARIO` Element tag for table:scenario.
`static java.lang.String` | `TAG_TEXT` Element tag for text:.
`static java.lang.String` | `TAG_TEXT_AUTHOR_INITIALS` Element tag for text:author-initials.
`static java.lang.String` | `TAG_TEXT_CREATION_TIME` Element tag for text:creation-time.
`static java.lang.String` | `TAG_TEXT_DATE` Element tag for text:date.
`static java.lang.String` | `TAG_TEXT_EXPRESSION` Element tag for text:expression.
`static java.lang.String` | `TAG_TEXT_PAGE_COUNT` Element tag for text:page-count.
`static java.lang.String` | `TAG_TEXT_PAGE_NUMBER` Element tag for text:page-number.
`static java.lang.String` | `TAG_TEXT_PAGE_VARIABLE_GET` Element tag for text:page-variable-get.
`static java.lang.String` | `TAG_TEXT_SEQUENCE` Element tag for text:sequence.
`static java.lang.String` | `TAG_TEXT_SUBJECT` Element tag for text:subject.
`static java.lang.String` | `TAG_TEXT_TEXT_INPUT` Element tag for text:text-input.
`static java.lang.String` | `TAG_TEXT_TIME` Element tag for text:time.
`static java.lang.String` | `TAG_TEXT_TITLE` Element tag for text:title.
`static java.lang.String` | `TAG_TEXT_USER_FIELD_GET` Element tag for text:user-field-get.
`static java.lang.String` | `TAG_TEXT_VARIABLE_GET` Element tag for text:variable-get.
`static java.lang.String` | `TAG_TEXT_VARIABLE_INPUT` Element tag for text:text-input.
`static java.lang.String` | `TAG_TEXT_VARIABLE_SET` Element tag for text:variable-set.
`static java.lang.String` | `TAG_UNORDERED_LIST` Element tag for text:unordered-list.

Field Detail

### TAG_OFFICE_DOCUMENT

    static final java.lang.String TAG_OFFICE_DOCUMENT

  Element tag for office:document, this is the root tag.

  See Also:
    Constant Field Values

### TAG_OFFICE_DOCUMENT_CONTENT

    static final java.lang.String TAG_OFFICE_DOCUMENT_CONTENT

  Element tag for office:document-content, this is the root tag in content.xml.

  See Also:
    Constant Field Values

### TAG_OFFICE_DOCUMENT_SETTINGS

    static final java.lang.String TAG_OFFICE_DOCUMENT_SETTINGS

  Element tag for office:document-settings, this is the root tag in content.xml.

  See Also:
    Constant Field Values

### TAG_OFFICE_DOCUMENT_META

    static final java.lang.String TAG_OFFICE_DOCUMENT_META

  Element tag for office:document-meta, this is the root tag in content.xml.

  See Also:
    Constant Field Values

### TAG_OFFICE_DOCUMENT_STYLES

    static final java.lang.String TAG_OFFICE_DOCUMENT_STYLES

  Element tag for office:document-styles, this is the root tag in styles.xml.

  See Also:
    Constant Field Values

### ATTRIBUTE_OFFICE_CLASS

    static final java.lang.String ATTRIBUTE_OFFICE_CLASS

  Attribute tag for office:class of element office:document.

  See Also:
    Constant Field Values

### TAG_OFFICE_STYLES

    static final java.lang.String TAG_OFFICE_STYLES

  Element tag for office:styles.

  See Also:
    Constant Field Values

### TAG_OFFICE_META

    static final java.lang.String TAG_OFFICE_META

  Element tag for office:meta.

  See Also:
    Constant Field Values

### TAG_OFFICE_AUTOMATIC_STYLES

    static final java.lang.String TAG_OFFICE_AUTOMATIC_STYLES

  Element tag for office:automatic-styles.

  See Also:
    Constant Field Values

### TAG_OFFICE_MASTER_STYLES

    static final java.lang.String TAG_OFFICE_MASTER_STYLES

  Element tag for office:master-styles.

  See Also:
    Constant Field Values

### TAG_OFFICE_BODY

    static final java.lang.String TAG_OFFICE_BODY

  Element tag for office:body.

  See Also:
    Constant Field Values

### TAG_OFFICE_FONT_FACE_DECLS

    static final java.lang.String TAG_OFFICE_FONT_FACE_DECLS

  Element tag for office:font-face-decls.

  See Also:
    Constant Field Values

### TAG_OFFICE_SETTINGS

    static final java.lang.String TAG_OFFICE_SETTINGS

  Element tag for office:settings.

  See Also:
    Constant Field Values

### TAG_TEXT_VARIABLE_SET

    static final java.lang.String TAG_TEXT_VARIABLE_SET

  Element tag for text:variable-set.

  See Also:
    Constant Field Values

### TAG_TEXT_VARIABLE_GET

    static final java.lang.String TAG_TEXT_VARIABLE_GET

  Element tag for text:variable-get.

  See Also:
    Constant Field Values

### TAG_TEXT_EXPRESSION

    static final java.lang.String TAG_TEXT_EXPRESSION

  Element tag for text:expression.

  See Also:
    Constant Field Values

### TAG_TEXT_USER_FIELD_GET

    static final java.lang.String TAG_TEXT_USER_FIELD_GET

  Element tag for text:user-field-get.

  See Also:
    Constant Field Values

### TAG_TEXT_PAGE_VARIABLE_GET

    static final java.lang.String TAG_TEXT_PAGE_VARIABLE_GET

  Element tag for text:page-variable-get.

  See Also:
    Constant Field Values

### TAG_TEXT_SEQUENCE

    static final java.lang.String TAG_TEXT_SEQUENCE

  Element tag for text:sequence.

  See Also:
    Constant Field Values

### TAG_TEXT_VARIABLE_INPUT

    static final java.lang.String TAG_TEXT_VARIABLE_INPUT

  Element tag for text:text-input.

  See Also:
    Constant Field Values

### TAG_TEXT_TIME

    static final java.lang.String TAG_TEXT_TIME

  Element tag for text:time.

  See Also:
    Constant Field Values

### TAG_TEXT_PAGE_COUNT

    static final java.lang.String TAG_TEXT_PAGE_COUNT

  Element tag for text:page-count.

  See Also:
    Constant Field Values

### TAG_TEXT_PAGE_NUMBER

    static final java.lang.String TAG_TEXT_PAGE_NUMBER

  Element tag for text:page-number.

  See Also:
    Constant Field Values

### TAG_TEXT_AUTHOR_INITIALS

    static final java.lang.String TAG_TEXT_AUTHOR_INITIALS

  Element tag for text:author-initials.

  See Also:
    Constant Field Values

### TAG_TEXT_SUBJECT

    static final java.lang.String TAG_TEXT_SUBJECT

  Element tag for text:subject.

  See Also:
    Constant Field Values

### TAG_TEXT_TITLE

    static final java.lang.String TAG_TEXT_TITLE

  Element tag for text:title.

  See Also:
    Constant Field Values

### TAG_TEXT_CREATION_TIME

    static final java.lang.String TAG_TEXT_CREATION_TIME

  Element tag for text:creation-time.

  See Also:
    Constant Field Values

### TAG_TEXT_DATE

    static final java.lang.String TAG_TEXT_DATE

  Element tag for text:date.

  See Also:
    Constant Field Values

### TAG_TEXT_TEXT_INPUT

    static final java.lang.String TAG_TEXT_TEXT_INPUT

  Element tag for text:text-input.

  See Also:
    Constant Field Values

### TAG_OFFICE_FONT_DECLS

    static final java.lang.String TAG_OFFICE_FONT_DECLS

  Element tag for office:font-decls.

  See Also:
    Constant Field Values

### TAG_STYLE_FONT_DECL

    static final java.lang.String TAG_STYLE_FONT_DECL

  Element tag for style:font-decl.

  See Also:
    Constant Field Values

### ATTRIBUTE_STYLE_NAME

    static final java.lang.String ATTRIBUTE_STYLE_NAME

  Attribute tag for style:name of element style:name.

  See Also:
    Constant Field Values

### ATTRIBUTE_STYLE_FONT_PITCH

    static final java.lang.String ATTRIBUTE_STYLE_FONT_PITCH

  Attribute tag for style:font-pitch of element style:font-pitch.

  See Also:
    Constant Field Values

### ATTRIBUTE_FO_FONT_FAMILY

    static final java.lang.String ATTRIBUTE_FO_FONT_FAMILY

  Attribute tag for fo:font-family of element fo:font-family.

  See Also:
    Constant Field Values

### ATTRIBUTE_FO_FONT_FAMILY_GENERIC

    static final java.lang.String ATTRIBUTE_FO_FONT_FAMILY_GENERIC

  Attribute tag for fo:font-family of element fo:font-family.

  See Also:
    Constant Field Values

### TAG_PARAGRAPH

    static final java.lang.String TAG_PARAGRAPH

  Element tag for text:p.

  See Also:
    Constant Field Values

### TAG_TEXT

    static final java.lang.String TAG_TEXT

  Element tag for text:.

  See Also:
    Constant Field Values

### TAG_HEADING

    static final java.lang.String TAG_HEADING

  Element tag for text:h.

  See Also:
    Constant Field Values

### TAG_SPACE

    static final java.lang.String TAG_SPACE

  Element tag for text:s.

  See Also:
    Constant Field Values

### TAG_TAB_STOP

    static final java.lang.String TAG_TAB_STOP

  Element tag for text:tab-stop.

  See Also:
    Constant Field Values

### TAG_LINE_BREAK

    static final java.lang.String TAG_LINE_BREAK

  Element tag for text:line-break.

  See Also:
    Constant Field Values

### TAG_SPAN

    static final java.lang.String TAG_SPAN

  Element tag for text:span.

  See Also:
    Constant Field Values

### TAG_HYPERLINK

    static final java.lang.String TAG_HYPERLINK

  Element tag for text:a.

  See Also:
    Constant Field Values

### TAG_BOOKMARK

    static final java.lang.String TAG_BOOKMARK

  Element tag for text:bookmark.

  See Also:
    Constant Field Values

### TAG_BOOKMARK_START

    static final java.lang.String TAG_BOOKMARK_START

  Element tag for text:bookmark-start.

  See Also:
    Constant Field Values

### TAG_UNORDERED_LIST

    static final java.lang.String TAG_UNORDERED_LIST

  Element tag for text:unordered-list.

  See Also:
    Constant Field Values

### TAG_ORDERED_LIST

    static final java.lang.String TAG_ORDERED_LIST

  Element tag for text:ordered-list.

  See Also:
    Constant Field Values

### TAG_LIST_HEADER

    static final java.lang.String TAG_LIST_HEADER

  Element tag for text:list-header.

  See Also:
    Constant Field Values

### TAG_LIST_ITEM

    static final java.lang.String TAG_LIST_ITEM

  Element tag for text:list-item.

  See Also:
    Constant Field Values

### ATTRIBUTE_SPACE_COUNT

    static final java.lang.String ATTRIBUTE_SPACE_COUNT

  Attribute tag for text:c of element text:s.

  See Also:
    Constant Field Values

### ATTRIBUTE_TEXT_STYLE_NAME

    static final java.lang.String ATTRIBUTE_TEXT_STYLE_NAME

  Attribute tag for text:style-name of element text:style-name.

  See Also:
    Constant Field Values

### TAG_TABLE

    static final java.lang.String TAG_TABLE

  Element tag for table:table.

  See Also:
    Constant Field Values

### TAG_NAMED_EXPRESSIONS

    static final java.lang.String TAG_NAMED_EXPRESSIONS

  Element tag for table:named-expression.

  See Also:
    Constant Field Values

### TAG_TABLE_NAMED_RANGE

    static final java.lang.String TAG_TABLE_NAMED_RANGE

  Element tag for table:named-range.

  See Also:
    Constant Field Values

### TAG_TABLE_NAMED_EXPRESSION

    static final java.lang.String TAG_TABLE_NAMED_EXPRESSION

  Element tag for table:named-expression.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_NAME

    static final java.lang.String ATTRIBUTE_TABLE_NAME

  Attribute tag for table:name of element table:table.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_EXPRESSION

    static final java.lang.String ATTRIBUTE_TABLE_EXPRESSION

  Attribute tag for table:expression of element table:named-range.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_BASE_CELL_ADDRESS

    static final java.lang.String ATTRIBUTE_TABLE_BASE_CELL_ADDRESS

  Attribute tag for table:base-cell-address of element table:named-range.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_CELL_RANGE_ADDRESS

    static final java.lang.String ATTRIBUTE_TABLE_CELL_RANGE_ADDRESS

  Attribute tag for table:cell-range-address of element table:named-range.

  See Also:
    Constant Field Values

### TAG_TABLE_ROW

    static final java.lang.String TAG_TABLE_ROW

  Element tag for table:table-row.

  See Also:
    Constant Field Values

### TAG_TABLE_COLUMN

    static final java.lang.String TAG_TABLE_COLUMN

  Element tag for table:table-column.

  See Also:
    Constant Field Values

### ATTRIBUTE_DEFAULT_CELL_STYLE

    static final java.lang.String ATTRIBUTE_DEFAULT_CELL_STYLE

  Attribute tag for table:default-cell-style-name of element table:table-column.

  See Also:
    Constant Field Values

### TAG_TABLE_SCENARIO

    static final java.lang.String TAG_TABLE_SCENARIO

  Element tag for table:scenario.

  See Also:
    Constant Field Values

### TAG_TABLE_CELL

    static final java.lang.String TAG_TABLE_CELL

  Element tag for table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_VALUE_TYPE

    static final java.lang.String ATTRIBUTE_TABLE_VALUE_TYPE

  Attribute tag for table:value-type of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_NUM_COLUMNS_REPEATED

    static final java.lang.String ATTRIBUTE_TABLE_NUM_COLUMNS_REPEATED

  Attribute tag for table:number-columns-repeated of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_NUM_ROWS_REPEATED

    static final java.lang.String ATTRIBUTE_TABLE_NUM_ROWS_REPEATED

  Attribute tag for table:number-rows-repeated of element table:table-row.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_FORMULA

    static final java.lang.String ATTRIBUTE_TABLE_FORMULA

  Attribute tag for table:formula of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_VALUE

    static final java.lang.String ATTRIBUTE_TABLE_VALUE

  Attribute tag for table:value of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_DATE_VALUE

    static final java.lang.String ATTRIBUTE_TABLE_DATE_VALUE

  Attribute tag for table:date-value of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_TIME_VALUE

    static final java.lang.String ATTRIBUTE_TABLE_TIME_VALUE

  Attribute tag for table:time-value of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_STRING_VALUE

    static final java.lang.String ATTRIBUTE_TABLE_STRING_VALUE

  Attribute tag for table:string-value of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_BOOLEAN_VALUE

    static final java.lang.String ATTRIBUTE_TABLE_BOOLEAN_VALUE

  Attribute tag for table:time-boolean-value of element table:table-cell.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_STYLE_NAME

    static final java.lang.String ATTRIBUTE_TABLE_STYLE_NAME

  Attribute tag for table:style-name of table elements.

  See Also:
    Constant Field Values

### ATTRIBUTE_TABLE_CURRENCY

    static final java.lang.String ATTRIBUTE_TABLE_CURRENCY

  Attribute tag for table:currency of element table:table-cell.

  See Also:
    Constant Field Values

### CELLTYPE_STRING

    static final java.lang.String CELLTYPE_STRING

  The cell contains data of type string.

  See Also:
    Constant Field Values

### CELLTYPE_FLOAT

    static final java.lang.String CELLTYPE_FLOAT

  The cell contains data of type float.

  See Also:
    Constant Field Values

### CELLTYPE_TIME

    static final java.lang.String CELLTYPE_TIME

  The cell contains data of type time.

  See Also:
    Constant Field Values

### CELLTYPE_DATE

    static final java.lang.String CELLTYPE_DATE

  The cell contains data of type date.

  See Also:
    Constant Field Values

### CELLTYPE_CURRENCY

    static final java.lang.String CELLTYPE_CURRENCY

  The cell contains data of type currency.

  See Also:
    Constant Field Values

### CELLTYPE_BOOLEAN

    static final java.lang.String CELLTYPE_BOOLEAN

  The cell contains data of type boolean.

  See Also:
    Constant Field Values

### CELLTYPE_PERCENT

    static final java.lang.String CELLTYPE_PERCENT

  The cell contains data of type percent.

  See Also:
    Constant Field Values

### SXW_FILE_EXTENSION

    static final java.lang.String SXW_FILE_EXTENSION

  StarWriter XML file extension.

  See Also:
    Constant Field Values

### SXW_TYPE

    static final java.lang.String SXW_TYPE

  StarWriter XML office:class value.

  See Also:
    Constant Field Values

### SXC_FILE_EXTENSION

    static final java.lang.String SXC_FILE_EXTENSION

  StarCalc XML file extension.

  See Also:
    Constant Field Values

### SXC_TYPE

    static final java.lang.String SXC_TYPE

  StarCalc XML office:class value.

  See Also:
    Constant Field Values

### TAG_MANIFEST_ROOT

    static final java.lang.String TAG_MANIFEST_ROOT

  Element tag for manifest:manifestentry in Manifest XML

  See Also:
    Constant Field Values

### TAG_MANIFEST_FILE

    static final java.lang.String TAG_MANIFEST_FILE

  Element tag for manifest:file-entry entry in Manifest XML.

  See Also:
    Constant Field Values

### ATTRIBUTE_MANIFEST_FILE_TYPE

    static final java.lang.String ATTRIBUTE_MANIFEST_FILE_TYPE

  Attribute tag for manifest:media-type of element manifest:file-entry.

  See Also:
    Constant Field Values

### ATTRIBUTE_MANIFEST_FILE_PATH

    static final java.lang.String ATTRIBUTE_MANIFEST_FILE_PATH

  Attribute tag for manifest:full-path of element manifest:file-entry.

  See Also:
    Constant Field Values

### TAG_CONFIG_ITEM

    static final java.lang.String TAG_CONFIG_ITEM

  Element tag for config:config-item.

  See Also:
    Constant Field Values

### TAG_CONFIG_ITEM_SET

    static final java.lang.String TAG_CONFIG_ITEM_SET

  Element tag for config:config-item-set.

  See Also:
    Constant Field Values

### TAG_CONFIG_ITEM_MAP_INDEXED

    static final java.lang.String TAG_CONFIG_ITEM_MAP_INDEXED

  Element tag for config:config-item-map-indexed.

  See Also:
    Constant Field Values

### TAG_CONFIG_ITEM_MAP_NAMED

    static final java.lang.String TAG_CONFIG_ITEM_MAP_NAMED

  Element tag for config:config-item-map-named.

  See Also:
    Constant Field Values

### TAG_CONFIG_ITEM_MAP_ENTRY

    static final java.lang.String TAG_CONFIG_ITEM_MAP_ENTRY

  Element tag for config:config-item-map-entry.

  See Also:
    Constant Field Values

### ATTRIBUTE_CONFIG_NAME

    static final java.lang.String ATTRIBUTE_CONFIG_NAME

  Attribute tag for config:name of element config:config-item.

  See Also:
    Constant Field Values

### ATTRIBUTE_CONFIG_TYPE

    static final java.lang.String ATTRIBUTE_CONFIG_TYPE

  Attribute tag for config:type of element config:config-item.

  See Also:
    Constant Field Values

### SXW_MIME_TYPE

    static final java.lang.String SXW_MIME_TYPE

  StarWriter XML MIME type.

  See Also:
    Constant Field Values

### STW_MIME_TYPE

    static final java.lang.String STW_MIME_TYPE

  StarWriter XML Template MIME type.

  See Also:
    Constant Field Values

### SXC_MIME_TYPE

    static final java.lang.String SXC_MIME_TYPE

  StarCalc XML MIME type.

  See Also:
    Constant Field Values

### STC_MIME_TYPE

    static final java.lang.String STC_MIME_TYPE

  StarCalc XML Template MIME type.

  See Also:
    Constant Field Values

### SXI_MIME_TYPE

    static final java.lang.String SXI_MIME_TYPE

  StarImpress XML MIME type.

  See Also:
    Constant Field Values

### STI_MIME_TYPE

    static final java.lang.String STI_MIME_TYPE

  StarImpress XML Template MIME type.

  See Also:
    Constant Field Values

### SXD_MIME_TYPE

    static final java.lang.String SXD_MIME_TYPE

  StarDraw XML MIME type.

  See Also:
    Constant Field Values

### SXM_MIME_TYPE

    static final java.lang.String SXM_MIME_TYPE

  StarMath XML MIME type.

  See Also:
    Constant Field Values

### SXG_MIME_TYPE

    static final java.lang.String SXG_MIME_TYPE

  StarWriter Global XML MIME Type

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD